% usage [HISTOS DT HEAD]=PSILOAD(FILENAME)
%
% FILENAME specifies filename with extension and (optionally) path
% e.g. 
% [his dt header]=psiload('/home/musr/psi/run_07_08/gps/Sm1111/gps02234.bin');
%
% HISTOS contain all data with time along columns and detectors along rows
% - typically GPS datasets generate HISTOS(7900,5)
% DT is the time resolution, i.e. the time per bin, in picoseconds
% HEAD is a string header
%
% MULOAD stores HISTOS in MU_DATA.DATA, DT in MU_DATA.RESNS (in
% ns!) and HEAD in various bits, in MU_DATA.TITLE, .SAMPLE,
% .TEMPERATURE, .ORIENTATION, .FIELD, START/STOP_DATE/TIME and
% COMMENTS
%
% Troubleshooting: The appropriate psiload.mex... file must be in the same
% path as this help file. It must also be the right one for the
% machine architecture (e.g. psiload.mexa64 for linux x86_64)
% Refer to the mulab site: 
%
% http://www.fis.unipr.it/~derenzi/dispense/pmwiki.php?n=MuSR.Analysis
%
% See also MULAB, MUCD, MULOAD, ISISLOAD, NXSLOAD
